<script>
import { Todo } from '../model/todo';
import { store } from '../store/store';

export default {
  props: {
    key: String,
    todo: Todo,
  },
  data() {
    return {
      store: store,
      todoInput: '',
    }
  },
  methods: {
    onAdd() {
      this.store.add(this.todoInput);
      this.todoInput = "";
    }
  },
};
</script>

<template>
  <div class="todo-input">
    <input
      outlined
      clearable
      v-model="todoInput"
      name="todo"
      @keyup.enter="onAdd"
      placeholder="New todo"
      bg-color="grey-1"
    />
    <button class="icon add" @click="onAdd" name="close">
      <font-awesome-icon icon="fa-solid fa-plus" />
    </button>
  </div>
</template>

<style lang="scss" scoped>
.todo-input {
  padding: 0.5rem;
  color: #0059ffa0;
  margin: 1rem;
  display: flex;
  justify-content: space-between;
  align-items: center;
  width: 100%;

  input {
    width: 100%;
    height: 100%;
    font-size: 1.8em;
    margin: 1rem;
  }

  .add {
    margin: 1rem;
    padding: 0.4rem;
    background: rgb(93, 156, 189);
    border-radius: 16px;
    border-width: 0 0 4px;
    width: 5rem;
    height: 3rem;
    color: #FFFFFF;
  }
}
</style>